Package tigase.util.setup

## Class SetupHelper

- java.lang.Object
- - tigase.util.setup.SetupHelper

-     public class SetupHelper
      extends java.lang.Object

  Created by andrzej on 30.03.2017.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SetupHelper.HttpSecurity` |
    `static class` | `SetupHelper.RestApiSecurity` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SetupHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BeanDefinition` | `convertToBeanDefinition​(java.lang.Class<?> cls)` |
    `static ConfigBuilder` | `generateConfig​(ConfigTypeEnum configType, java.lang.String dbUri, boolean clusterMode, boolean acs, java.util.Optional<java.util.Set<java.lang.String>> optionalComponentsOption, java.util.Optional<java.util.Set<java.lang.String>> forceEnabledComponentsOptions, java.util.Optional<java.util.Set<java.lang.String>> pluginsOption, java.lang.String defaultVirtualHost, java.util.Optional<BareJID[]> admins, java.util.Optional<SetupHelper.HttpSecurity> httpSecurity)` |
    `static java.util.List<BeanDefinition>` | `getAvailableBeans​(java.lang.Class processorClazz)` |
    `static java.util.List<BeanDefinition>` | `getAvailableBeans​(java.lang.Class processorClazz, java.lang.Class componentClazz)` |
    `static java.util.List<BeanDefinition>` | `getAvailableComponents()` |
    `static java.util.List<BeanDefinition>` | `getAvailableProcessors​(java.lang.Class componentClazz, java.lang.Class processorClazz)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetupHelper

          public SetupHelper()

  - ### Method Detail

    - #### convertToBeanDefinition

          public static BeanDefinition convertToBeanDefinition​(java.lang.Class<?> cls)

    - #### generateConfig

          public static ConfigBuilder generateConfig​(ConfigTypeEnum configType,
                                                     java.lang.String dbUri,
                                                     boolean clusterMode,
                                                     boolean acs,
                                                     java.util.Optional<java.util.Set<java.lang.String>> optionalComponentsOption,
                                                     java.util.Optional<java.util.Set<java.lang.String>> forceEnabledComponentsOptions,
                                                     java.util.Optional<java.util.Set<java.lang.String>> pluginsOption,
                                                     java.lang.String defaultVirtualHost,
                                                     java.util.Optional<BareJID[]> admins,
                                                     java.util.Optional<SetupHelper.HttpSecurity> httpSecurity)

    - #### getAvailableBeans

          public static java.util.List<BeanDefinition> getAvailableBeans​(java.lang.Class processorClazz)

    - #### getAvailableBeans

          public static java.util.List<BeanDefinition> getAvailableBeans​(java.lang.Class processorClazz,
                                                                         java.lang.Class componentClazz)

    - #### getAvailableComponents

          public static java.util.List<BeanDefinition> getAvailableComponents()

    - #### getAvailableProcessors

          public static java.util.List<BeanDefinition> getAvailableProcessors​(java.lang.Class componentClazz,
                                                                              java.lang.Class processorClazz)